Bug 1672494 - Critical issues with TLSv1.3
Summary: Critical issues with TLSv1.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pure-ftpd
Version: 29
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-05 07:15 UTC by Claudiu
Modified: 2019-04-16 04:03 UTC (History)
6 users (show)

Fixed In Version: pure-ftpd-1.0.48-1.fc30 pure-ftpd-1.0.47-7.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 00:39:41 UTC


Attachments (Terms of Use)

Description Claudiu 2019-02-05 07:15:56 UTC
Description of problem:
pure-ftpd advertises TLSv1.3, but client (eg. Filezilla) will not be able to connect. Using the git version 1.0.48, which claim that issue was solved, you face other bug "uploaded (0 bytes, 0.00KB/sec) ". Disabling TLSv1.3 and compiling without it will stop the errors.

This is critical in my opinion, as a lot of clients are now using TLSv1.3 and they fail to connect to pure-ftpd 1.0.47.

Issues have been reported already, but still not fixed.
https://github.com/jedisct1/pure-ftpd/issues/99
https://github.com/jedisct1/pure-ftpd/issues/102


Version-Release number of selected component (if applicable):
1.0.47, 1.0.48-git still buggy 


How reproducible:


Steps to Reproduce:
1. Fail if you try to log in using any client with TLSv1.3
2.
3.

Actual results:


Expected results:
All clients using TLSv1.3 to be able to log in and to operate correctly.


Additional info:

Comment 1 Ondřej Lysoněk 2019-02-12 11:50:18 UTC
Sadly, I don't have time to debug this, but once a fix is available upstream, I'll include it in Fedora.

In the meantime, I'll disable TLSv1.3 support.

Comment 2 Claudiu 2019-03-26 16:34:44 UTC
Version 1.0.48 was just released. I have tested it and issues seem to be resolved.

Comment 3 Fedora Update System 2019-03-29 17:01:32 UTC
pure-ftpd-1.0.48-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5ce9452556

Comment 4 Fedora Update System 2019-03-29 20:32:45 UTC
pure-ftpd-1.0.48-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5ce9452556

Comment 5 Fedora Update System 2019-03-30 17:30:22 UTC
pure-ftpd-1.0.47-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3b5a0f8940

Comment 6 Ondřej Lysoněk 2019-03-30 17:35:28 UTC
Regarding Fedora 29, I've decided not to upgrade to pure-ftpd 1.0.48 there, as the new version doesn't appear to be fully backward compatible. Instead I've attempted to backport the fix, however I'm not sure I got it right. So please test.

Comment 7 Fedora Update System 2019-03-31 18:48:51 UTC
pure-ftpd-1.0.47-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3b5a0f8940

Comment 8 Fedora Update System 2019-04-03 00:39:41 UTC
pure-ftpd-1.0.48-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-16 04:03:39 UTC
pure-ftpd-1.0.47-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.